# Additional verification state change

This event pushes updates for the [Additional Customer Verification](/guides/product/kyc/partner-kyc/additional-verification) process.
* Event type: `profiles#cdd-check-state-change`
* Profile level subscriptions: Not Supported
* Application level subscriptions: Supported

#### Verification state values
| Code | Description |
|  --- | --- |
| `VERIFIED` | Additional verification check has passed. |
| `EVIDENCE_REQUIRED` | Additional verification check has failed, evidences are required . |

#### Review outcome values
| Code | Description |
|  --- | --- |
| `DOCUMENT_POOR_QUALITY` | Document quality poor. |
| `DOCUMENT_OUT_OF_DATE` | Document out of date. |
| `DOCUMENT_NAME_MISMATCH` | Name on document does not match records. |
| `DOCUMENT_MISSING_NAME` | Name on document missing. |
| `DOCUMENT_MISSING_ISSUE_DATE` | Document issue date missing. |
| `DOCUMENT_MISSING_COMPANY_LOGO_LETTERHEAD` | Company logo or letterhead missing from document. |
| `DOCUMENT_NOT_COMPLETE` | Document is partially cut-off and does not contain full information. |
| `DOCUMENT_MISSING_SIGNATURE` | Document missing signature. |
| `DOCUMENT_MISSING_INCOME` | Document missing income information or income is not clear from the document. |
| `DOCUMENT_TYPE_UNACCEPTABLE` | Submitted document type is not acceptable. |
| `INVOICE_UNACCEPTABLE` | Invoice is not an accepted document. |
| `PHOTO_ID_UNACCEPTABLE` | Photo ID is not an accepted document. |
| `TRANSACTION_UNACCEPTABLE` | Transaction (or a screenshot of a transaction) is not accepted. |
| `PHOTO_UNACCEPTABLE` | Photos (or computer screenshots) are not acceptable. |
| `OTHER` | Reason unknown. |

#### Required evidence values
See the [list of evidences](/guides/product/kyc/partner-kyc/supported-evidences) to find all possible values.
Events may not be delivered in the order they occurred. Use `data.occurred_at` to reconcile the order.
See the [Event ordering guide](/guides/developer/webhooks/event-ordering) for details.
See the [Webhooks guide](/guides/developer/webhooks) for setup instructions, signature verification, and best practices.

Endpoint: POST profiles#cdd-check-state-change

## Header parameters:

  - `X-Signature-SHA256` (string)
    RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the [Wise public key](/guides/developer/webhooks/event-handling#requests) to ensure the request is authentic and has not been tampered with.

  - `X-Delivery-Id` (string)
    Unique identifier for this webhook delivery attempt.

  - `X-Test-Notification` (boolean)
    Present with the value `true` if this is a test notification sent to verify your callback URL during subscription setup.

## Request fields (application/json):

  - `schema_version` (string)
    Version of the event schema. Determined by the `schema_version` on your [webhook subscription](/api-reference/legacy/webhook).
    Enum: "4.0.0"

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event.
    Example: 01234567-89ab-cdef-0123-456789abcdef

  - `event_type` (string)
    Event type identifier
    Example: profiles#cdd-check-state-change

  - `sent_at` (string)
    Timestamp when the event was sent.
    Example: 2020-01-01T12:34:56.123Z

  - `data` (object)

  - `data.resource` (object)

  - `data.resource.type` (string)
    Profile resource type (always set to `profile`).
    Example: profile

  - `data.resource.id` (integer)
    ID of the profile.
    Example: 111

  - `data.current_state` (string)
    Current verification state of the profile (see table above).
    Example: VERIFIED

  - `data.review_outcome` (string)
    *Optional*
Reason the verification review did not pass.
Refer to the table above for reason descriptions.
    Example: DOCUMENT_OUT_OF_DATE

  - `data.required_evidences` (array)
    List of required evidences for verification. See the [list of evidences](/guides/product/kyc/partner-kyc/supported-evidences) to find all possible values.
    Example: ["SOURCE_OF_INCOME"]

  - `data.occurred_at` (string)
    When the CDD check state change occurred.
    Example: 2020-01-01T12:34:56.789Z

  - `data.source_of_income` (string)
    *Optional*
Source of income for a personal profile submitted via the [/upload-evidences endpoint](/api-reference/legacy/verification/verificationuploadevidences).
Use this to upload the correct Source of Wealth document.
    Example: INVESTMENTS

  - `data.source_of_funding` (string)
    *Optional*
Source of funding for a business profile submitted via the [/upload-evidences endpoint](/api-reference/legacy/verification/verificationuploadevidences).
Use this to upload the correct Source of Wealth document.
    Example: REVENUE

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event
    Example: 01234567-89ab-cdef-0123-456789abcdef

  - `sent_at` (string)
    Timestamp when the event was sent
    Example: 2020-01-01T12:34:56Z

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

